Repositories

Repositories contain container images and other artifacts

This tag groups all operations for repositories.

Retrieve all Repositories

get

This endpoint enables retrieving all Repositories using pagination and optional filters.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
registryIdstring · uuidRequired

The ID (UUID) of the Registry.

Example: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.namestringOptional

Filter resources by name.

filter.vulnerabilitySeveritystringOptional

The CVSS vulnerability severity rating

Example: high
orderBystring · enumOptional

The field to order the results by. If not provided, the results will be ordered by the default field.

Default: -lastPushPossible values:
Responses
chevron-right
200

Returned all requested Repositories successfully.

application/json
idstring · enumRequiredPossible values:
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/registries/{registryId}/repositories

Retrieve Repository

get

Returns the Repository by Name.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
registryIdstring · uuidRequired

The ID (UUID) of the Registry.

Example: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd
repositoryNamestring · max: 256Required

The Name of the Repository.

Example: my-service
Responses
chevron-right
200

Getting Repository was successful.

application/json
idstringRequiredExample: my-service
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service
get
/registries/{registryId}/repositories/{repositoryName}

Delete repository

delete

Delete all repository contents

	The registry V2 API allows manifests and blobs to be deleted individually but it is not possible to remove an entire repository.
	This operation is provided for convenience
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
repositoryNamestringRequired

The name of the repository

Example: my-servicePattern: ^[a-z0-9]+(?:[._-][a-z0-9]+)*$
Responses
delete
/registries/{registryId}/repositories/{repositoryName}
204

No Content

No content

Last updated

Was this helpful?